Certificates
Create DTS root CA certificate
/v1/ecosystems/certificates/caAuthorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
DTS root CA certificate in PEM format. The certificate must be valid and not expired.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v1/ecosystems/certificates/ca" \ -H "Content-Type: application/json" \ -d '{ "organisationName": "Example Inc." }'{
"id": "782f1885-c7c2-4459-8426-b6d7c111b0b1",
"active": true,
"certificatePem": "-----BEGIN CERTIFICATE-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE-----",
"certificateFingerprint": "f6cad6e579d70b3973efa60624af731a580d1a11a7579e70f2f10f059dc86172",
"certificateData": {
"commonName": "example.com",
"country": "US",
"organisationName": "Example Inc.",
"notAfter": "2024-10-22T00:00:00Z",
"notBefore": "2023-10-22T00:00:00Z"
},
"isManaged": true
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}Retrieve all DTS root CA certificates
/v1/ecosystems/certificates/caAuthorization
bearerAuth In: header
Query Parameters
Range size of returned list.
1001 <= value <= 1000Starting point for the list of entries.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v1/ecosystems/certificates/ca"{
"data": [
{
"id": "782f1885-c7c2-4459-8426-b6d7c111b0b1",
"active": true,
"certificatePem": "-----BEGIN CERTIFICATE-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE-----",
"certificateFingerprint": "f6cad6e579d70b3973efa60624af731a580d1a11a7579e70f2f10f059dc86172",
"certificateData": {
"commonName": "example.com",
"country": "US",
"organisationName": "Example Inc.",
"notAfter": "2024-10-22T00:00:00Z",
"notBefore": "2023-10-22T00:00:00Z"
},
"isManaged": true
}
],
"nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}Retrieve all DTS root CA Certificates (public)
curl -X GET "https://example.vii.au01.mattr.global/v1/ecosystems/public/certificates/ca"{
"rootCertificates": [
{
"certificate": "-----BEGIN CERTIFICATE-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE-----",
"notBefore": "2023-10-22T00:00:00Z",
"notAfter": "2024-10-22T00:00:00Z",
"fingerprint": "f6cad6e579d70b3973efa60624af731a580d1a11a7579e70f2f10f059dc86172",
"commonName": "example.com"
}
]
}Retrieve a DTS root CA certificate
/v1/ecosystems/certificates/ca/{dtsCaCertificateId}Authorization
bearerAuth In: header
Path Parameters
Unique identifier of the DTS root CA certificate.
uuidResponse Body
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v1/ecosystems/certificates/ca/b0aae560-10e7-4247-8e96-7cdd3578a1e2"{
"id": "782f1885-c7c2-4459-8426-b6d7c111b0b1",
"active": true,
"certificatePem": "-----BEGIN CERTIFICATE-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE-----",
"certificateFingerprint": "f6cad6e579d70b3973efa60624af731a580d1a11a7579e70f2f10f059dc86172",
"certificateData": {
"commonName": "example.com",
"country": "US",
"organisationName": "Example Inc.",
"notAfter": "2024-10-22T00:00:00Z",
"notBefore": "2023-10-22T00:00:00Z"
},
"isManaged": true
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}Update a DTS root CA certificate
/v1/ecosystems/certificates/ca/{dtsCaCertificateId}Authorization
bearerAuth In: header
Path Parameters
Unique identifier of the DTS root CA certificate.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Indicates if the DTS root CA certificate is active. Only active certificates can be used to sign other intermediate certificates.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.vii.au01.mattr.global/v1/ecosystems/certificates/ca/b0aae560-10e7-4247-8e96-7cdd3578a1e2" \ -H "Content-Type: application/json" \ -d '{ "active": true }'{
"id": "782f1885-c7c2-4459-8426-b6d7c111b0b1",
"active": true,
"certificatePem": "-----BEGIN CERTIFICATE-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE-----",
"certificateFingerprint": "f6cad6e579d70b3973efa60624af731a580d1a11a7579e70f2f10f059dc86172",
"certificateData": {
"commonName": "example.com",
"country": "US",
"organisationName": "Example Inc.",
"notAfter": "2024-10-22T00:00:00Z",
"notBefore": "2023-10-22T00:00:00Z"
},
"isManaged": true
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}Delete a DTS root CA certificate
/v1/ecosystems/certificates/ca/{dtsCaCertificateId}Authorization
bearerAuth In: header
Path Parameters
Unique identifier of the DTS root CA certificate.
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v1/ecosystems/certificates/ca/b0aae560-10e7-4247-8e96-7cdd3578a1e2"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}Retrieve a DTS root CA certificate Certificate Revocation List (CRL) (public)
/v1/ecosystems/certificates/ca/{dtsCaCertificateId}/crlPath Parameters
Unique identifier of the DTS root CA certificate.
uuidResponse Body
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v1/ecosystems/certificates/ca/b0aae560-10e7-4247-8e96-7cdd3578a1e2/crl""string"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Last updated on